//---------------------------------------------------------------------------
#ifndef Das005H
#define Das005H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TModDas005 : public TDataModule
{
__published:	// IDE-managed Components
private:	// User declarations
public:		// User declarations
    __fastcall TModDas005(TComponent* Owner);
	void _fastcall UnloadIODLL();
    void _fastcall SetupDLL();
    float __fastcall FindPCSpeed();
    int __fastcall GetSpeed();
    void  __fastcall AWait(long Speed);
    void __fastcall InitPrinterPort(Word LPTNo, Word LPTPortAdd);
    int __fastcall InterrogateADC_DAS005(int ChanMode, int Channel);
    int __fastcall ReadAIP_DAS005(int sd, int chan);
    int __fastcall ReadDips_DAS005();
    int __fastcall ReadDIP_DAS005(int IONum);
    void __fastcall WriteDOPs_DAS005(int DOValue);
    void __fastcall WriteDOP_DAS005(int State, int IONum);
    void __fastcall InitDAQ_DAS005();
    void __fastcall Out32(int PortAddress, int Control);
    byte __fastcall TModDas005::Inp32(int PortAddress);
// IO Variables
int DIPs[16];
int DOPs[16];
float AIPs[16];
int AOPs[16];
int gDOP;

// Printer Variables
int LPTNo, LptPortAddr;
int LPTData, LPTStatus, LPTControl;
int DataReg, StatusReg, ControlReg;


};
//---------------------------------------------------------------------------
extern PACKAGE TModDas005 *ModDas005;
//---------------------------------------------------------------------------
#endif
