//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"
#include "Intro.h"
#include "Das005.h"
#include "stdio.h"
#include "PrinterPort.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

TMainFrm *MainFrm;
//---------------------------------------------------------------------------
__fastcall TMainFrm::TMainFrm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TMainFrm::Port1Click(TObject *Sender)
{
    PrinterAddr->Show();
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
void __fastcall TMainFrm::Timer1Timer(TObject *Sender)
{
 int i, j;
 int Mask;
 int NewInterval;
    NewInterval = StrToInt(TxtRate->Text);
    if ((NewInterval != Timer1->Interval) && (NewInterval >= 50)){
        Timer1->Interval = NewInterval;
        }
    if (ChkScan->Checked) {
        //Read the Digital Inputs}
        j = ModDas005->ReadDips_DAS005();
        Mask = 1;
        for (i = 1;i<= 4;i++) {
            ModDas005->DIPs[i] = j & Mask;
            if (ModDas005->DIPs[i] > 0) ModDas005->DIPs[i] = 1;
            Mask = Mask * 2;
            }
        ChkDI1->Checked = False;
        if (ModDas005->DIPs[1]==1) ChkDI1->Checked = True;
        else ChkDI1->Checked = False;
        if (ModDas005->DIPs[2]==1) ChkDI2->Checked = True;
        else ChkDI2->Checked = False;
        if (ModDas005->DIPs[3]==1) ChkDI3->Checked = True;
        else ChkDI3->Checked = False;
        if (ModDas005->DIPs[4]==1) ChkDI4->Checked = True;
        else ChkDI4->Checked = False;

        i= ModDas005->ReadAIP_DAS005(1, 1);
        TxtAI1->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 1));
        TxtAI2->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 2));
        TxtAI3->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 3));
        TxtAI4->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 4));
        TxtAI5->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 5));
        TxtAI6->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 6));
        TxtAI7->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 7));
        TxtAI8->Text = IntToStr(ModDas005->ReadAIP_DAS005(1, 8));
        if (ChkDO1->Checked) ModDas005->WriteDOP_DAS005(1, 1);
        else ModDas005->WriteDOP_DAS005(0, 1);

        if (ChkDO2->Checked) ModDas005->WriteDOP_DAS005(1, 2);
        else ModDas005->WriteDOP_DAS005(0, 2);

        if (ChkDO3->Checked) ModDas005->WriteDOP_DAS005(1, 3);
        else ModDas005->WriteDOP_DAS005(0, 3);

        if (ChkDO4->Checked) ModDas005->WriteDOP_DAS005(1, 4);
        else ModDas005->WriteDOP_DAS005(0, 4);
        }
}
//---------------------------------------------------------------------------


void __fastcall TMainFrm::CmdExitClick(TObject *Sender)
{
    FrmIntro->Close();
    PrinterAddr->Close();
    MainFrm->Close();
}
//---------------------------------------------------------------------------

void __fastcall TMainFrm::Exit1Click(TObject *Sender)
{
     FrmIntro->Close();
    PrinterAddr->Close();
    MainFrm->Close();
    ModDas005->UnloadIODLL();
}
//---------------------------------------------------------------------------

void __fastcall TMainFrm::Help1Click(TObject *Sender)
{
  Application->HelpFile = "CPlusDas.HLP";
  Application->HelpJump("Introduction");  //"TApplication_HelpJump"

}

